List all profiles
GET
/api/profiles
const url = 'https://api.usegro.co/api/profiles';const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.usegro.co/api/profiles \ --header 'Authorization: Bearer <token>' \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
number
limit
number
search
string
email
string
email_status
string
shopify_customer_id
string
Responses
Section titled “Responses”Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
timezone
string
address1
string
address2
string
city
string
region
string
country
string
country_code
string
postal_code
string
created_at
string
updated_at
string
full_address
required
string
external_id
string
email
required
string
full_name
required
string
first_name
string
last_name
string
phone_number
string
phone_country
string
sms_consent_source
string
sms_consented_at
string
consent_source
string
consented_at
string
shopify_customer_id
string
shopify_customer_tags
Array<string>
properties
required
object
meta
required
object
total
Total number of items
number
per_page
Items per page
number
current_page
Current page number
number
last_page
Last page number
number
first_page
First page number
number
first_page_url
URL for first page
string
last_page_url
URL for last page
string
next_page_url
URL for next page
string
previous_page_url
URL for previous page
string
Example
{ "data": [ { "email_status": "subscribed", "sms_status": "subscribed", "sms_opt_in_level": "single_opt_in" } ]}